# mm_component

MM login flutter plugin

## Getting Started

How to use steps:
1. Install plugin
2. Import your dart page (import 'package:mm_component/mm_component.dart';)
3. Use MmComponent.navigate();

Example:

/// your required parameters:
mm_url = http://172.16.116.92:8081;
app_version = 60;

/// call plugin function:
Future<void> initPlatformState() async {
    await MmComponent.navigate(
      operation: MmComponent.KEY_NAVIGATION_LOGIN,
      version: "60",
      url: "",
      onError: onError,
      onSuccess: onSuccess,
      onGoto: onGoto,
    );
}
/// take plugin result
void onSuccess(String result) {
    setState(() {
      response = "onSuccess: $result";
    });
}

void onError(String result) {
    setState(() {
      response = "onError: $result";
    });
}

void onGoto(String result) {
    setState(() {
      response = "onGoto: $result";
    });
}

